local TICRATE = TICRATE
local starttime = 236

local function HM_VoteLock()
	if not server.hmvotelock then
		server.hmvotelock = true
	end
end

local function HM_VoteUnlock()
	if server.hmvotelock then
		server.hmvotelock = false
	end
end

addHook("ThinkFrame", function ()

	if leveltime == starttime + 20*TICRATE then
		HM_VoteLock()
		
		if server then
			COM_BufInsertText(server, 'shout "Voting is now disabled!"')
		end
	end

end)

addHook("VoteThinker", HM_VoteUnlock)
addHook("MapLoad", HM_VoteUnlock)
addHook("IntermissionThinker", HM_VoteUnlock)
